## python-reno 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.4
Babel>=1.3
PyYAML>=3.1.0

=== debian/changelog ===
python-reno (1.3.0-6) unstable; urgency=medium

  * Realy added gnupg as build-depends (Closes: #834685).
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Oct 2016 13:59:52 +0200

python-reno (1.3.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Added gnupg as build-depends (Closes: #834685).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 14:30:48 +0200

python-reno (1.3.0-3) unstable; urgency=medium

  * Added git as runtime and build depends (Closes: #824593).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 May 2016 10:23:32 +0200

python-reno (1.3.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Use patch to use less entropy in unit tests.
  * Reactivated unit tests.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Feb 2016 17:34:49 +0000

python-reno (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #811150)

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Jan 2016 06:17:15 +0000

=== debian/control ===
Source: python-reno
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ivan Udovichenko <iudovichenko@mirantis.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               gnupg,
               python-all,
               python-pbr (>= 1.4),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.4),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-babel,
                     python-coverage,
                     python-hacking,
                     python-mock (>= 1.3),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-yaml,
                     python3-babel,
                     python3-coverage (>= 3.6),
                     python3-mock (>= 1.3),
                     python3-oslotest (>= 1:1.10.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-reno?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-reno -b debian/newton
Homepage: http://www.openstack.org/

Package: python-reno
Architecture: all
Depends: git,
         python-pbr (>= 1.4),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-reno-doc,
Description: RElease NOtes manager - Python 2.x
 Reno is a release notes manager for storing release notes in a git
 repository and then building documentation from them.
 .
 This package contains the Python 2.x module.

Package: python3-reno
Architecture: all
Depends: git,
         python3-pbr (>= 1.4),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-reno-doc,
Description: RElease NOtes manager - Python 3.x
 Reno is a release notes manager for storing release notes in a git
 repository and then building documentation from them.
 .
 This package contains the Python 3.x module.

Package: python-reno-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: RElease NOtes manager - doc
 Reno is a release notes manager for storing release notes in a git
 repository and then building documentation from them.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/reno.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	# Disabling sphinx doc generation as it fails if no git files are present
	mkdir -p debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	cp -auxf doc/source/*.rst debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	#sphinx-build -b html doc/source debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	#dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu:
override_dh_installmime override_dh_installmodules:
override_dh_installlogcheck override_dh_installpam:
override_dh_installppp override_dh_installudev:
override_dh_installwm override_dh_installxfonts:
override_dh_gconf override_dh_icons override_dh_perl:
override_dh_usrlocal override_dh_installcron:
override_dh_installdebconf override_dh_installlogrotate:
override_dh_installgsettings:

## python-reno 2.5.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr<2.0,>=1.4
-Babel>=1.3
+pbr>=1.4
 PyYAML>=3.1.0
+six>=1.9.0
+dulwich>=0.15.0  # Apache-2.0

=== debian/changelog ===
python-reno (2.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Fixed VCS URLS.
  * debian/copyright format using https.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Standards-Version is now 4.1.1.
  * Fixed python3 shebang to use python3, not python3.x.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test and blacklisting test_build_cache_db().

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 21:21:02 +0000

=== debian/control ===
Source: python-reno
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 gnupg,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 git,
 python-babel,
 python-coverage,
 python-dulwich,
 python-hacking,
 python-mock,
 python-openstackdocstheme (>= 1.11.0),
 python-testscenarios,
 python-testtools,
 python-yaml,
 python3-babel,
 python3-coverage,
 python3-dulwich,
 python3-mock,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-reno.git
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-reno.git
Homepage: http://www.openstack.org/

Package: python-reno
Architecture: all
Depends:
 git,
 python-dulwich,
 python-pbr (>= 1.4),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-reno-doc,
Description: RElease NOtes manager - Python 2.x
 Reno is a release notes manager for storing release notes in a git
 repository and then building documentation from them.
 .
 This package contains the Python 2.x module.

Package: python-reno-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RElease NOtes manager - doc
 Reno is a release notes manager for storing release notes in a git
 repository and then building documentation from them.
 .
 This package contains the documentation.

Package: python3-reno
Architecture: all
Depends:
 git,
 python3-dulwich,
 python3-pbr (>= 1.4),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-reno-doc,
Description: RElease NOtes manager - Python 3.x
 Reno is a release notes manager for storing release notes in a git
 repository and then building documentation from them.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -9,20 +9,12 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
+	pkgos-dh_auto_test 'reno\.tests(?!.*test_cache\.TestCache\.test_build_cache_db.*)'
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/reno/tags .*/(\d[\d\.]+)\.tar\.gz

## python-reno 2.9.2

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.4
+pbr
 PyYAML>=3.1.0
 six>=1.9.0
 dulwich>=0.15.0  # Apache-2.0

=== debian/changelog ===
python-reno (2.9.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ David Rabel ]
  * New upstream version 2.9.2

 -- David Rabel <david.rabel@noresoft.com>  Mon, 03 Sep 2018 17:19:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: python-reno
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Ivan Udovichenko <iudovichenko@mirantis.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 10~),
  dh-python,
  gnupg,
  openstack-pkg-tools,
  python-all,
+ python-dev,
  python-pbr,
  python-setuptools,
  python-sphinx,
  python3-all,
+ python3-dev,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  git,
  python-babel,
@@ -38,8 +41,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-reno.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-reno.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-reno
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-reno.git
 Homepage: http://www.openstack.org/
 
 Package: python-reno

## python-reno 2.11.2

=== requirements.txt ===
--- 
+++ 
@@ -3,6 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr
-PyYAML>=3.1.0
+PyYAML>=3.10
 six>=1.9.0
 dulwich>=0.15.0  # Apache-2.0

=== debian/changelog ===
python-reno (2.11.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Cleans better (Closes: #1047030).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 13:56:30 +0200

python-reno (2.11.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:17:41 +0200

python-reno (2.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 21:16:04 +0100

=== debian/control ===
Source: python-reno
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 gnupg,
 openstack-pkg-tools,
 python3-all,
 python3-dev,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-babel,
 python3-coverage,
 python3-dulwich,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-reno
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-reno.git
Homepage: http://www.openstack.org/

Package: python-reno-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RElease NOtes manager - doc
 Reno is a release notes manager for storing release notes in a git
 repository and then building documentation from them.
 .
 This package contains the documentation.

Package: python3-reno
Architecture: all
Depends:
 git,
 python3-dulwich,
 python3-pbr,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-reno-doc,
Description: RElease NOtes manager - Python 3.x
 Reno is a release notes manager for storing release notes in a git
 repository and then building documentation from them.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/reno.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'reno\.tests(?!.*test_cache\.TestCache\.test_build_cache_db.*)'
endif

override_dh_sphinxdoc:
	# Disabling sphinx doc generation as it fails if no git files are present
	mkdir -p debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	cp -auxf doc/source/*.rst debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	#sphinx-build -b html doc/source debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	#dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-reno 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,6 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr
-PyYAML>=3.10
-six>=1.9.0
+PyYAML>=5.3.1
 dulwich>=0.15.0  # Apache-2.0
+packaging>=20.4

=== debian/changelog ===
python-reno (4.1.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090603).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:11:38 +0100

python-reno (4.1.0-1) unstable; urgency=medium

  * New upstream release:
    - fix syntax warning when installing (Closes: #1068867).
  * Fixed (build-)depends for this release.
  * Blacklist test_semver\.TestSemVer.* that needs a git repo of source code.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 09:53:48 +0200

=== debian/control ===
--- 
+++ 
@@ -21,13 +21,13 @@
  python3-coverage,
  python3-dulwich,
  python3-hacking,
- python3-mock,
  python3-openstackdocstheme,
+ python3-packaging,
+ python3-stestr,
  python3-testscenarios,
  python3-testtools,
  python3-yaml,
  subunit,
- testrepository,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-reno
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-reno.git
@@ -50,6 +50,7 @@
 Depends:
  git,
  python3-dulwich,
+ python3-packaging,
  python3-pbr,
  python3-yaml,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info
@@ -19,7 +19,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'reno\.tests(?!.*test_cache\.TestCache\.test_build_cache_db.*)'
+	pkgos-dh_auto_test --no-py2 'reno\.tests\.(?!test_cache\.TestCache\.test_build_cache_db.*|test_semver\.TestSemVer.*)'
+
 endif
 
 override_dh_sphinxdoc:
@@ -27,7 +28,7 @@
 	mkdir -p debian/python-reno-doc/usr/share/doc/python-reno-doc/html
 	cp -auxf doc/source/*.rst debian/python-reno-doc/usr/share/doc/python-reno-doc/html
 	#sphinx-build -b html doc/source debian/python-reno-doc/usr/share/doc/python-reno-doc/html
-	#dh_sphinxdoc -O--buildsystem=python_distutils
+	#dh_sphinxdoc -O--buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
